For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/site/coupon

get

Get a site coupon

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
couponidintegerRequired
redemption_countsstringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
get/api/site/coupon
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array();

$request = array(
	'method' => 'GET',
	'path' => 'site/coupon',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true
}
post

Add new site coupon

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
siteidintegerRequired
programidintegerOptionalDefault: 0
codestringRequired
startstringRequired
endstringOptionalDefault: 0
optionidsstringRequired
max_redemptionsintegerOptionalDefault: 0
unique_to_memberstringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
post/api/site/coupon
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'siteid' => '2',
		'programid' => 1,
		'code' => '1122334455667788',
		'start' => '2019-06-06',
		'end' => 'Never',
		'optionids' => '5',
		'unique_to_member' => 0
	);

$request = array(
	'method' => 'POST',
	'path' => 'site/coupon',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Coupon added",
  "couponid": 1
}
patch

Edit site coupon

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
couponidintegerRequired
programidintegerOptional
startstringOptionalDefault: --notset--
endstringOptional
optionidsstringOptional
max_redemptionsintegerOptional
unique_to_memberstringOptional
Responses
200

success

successbooleanOptionalExample: true
patch/api/site/coupon
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array();

$request = array(
	'method' => 'PATCH',
	'path' => 'site/coupon',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true
}

Last updated

Was this helpful?